
The gush of blood that all of a sudden turned into an endless river, soon turned into a sudden process of feeling very, very cold. I felt I was freezing, as if life itself was leaving me. I was shivering uncontrollably on a surgical bed and the very dedicated doctors and nurses were trying their best to cover me with blankets, and to keep talking to me. My doctor had left after a long-lasting, difficult labor. She'd seen my son born. She'd seen me smile and feed him. She'd left the staff with instructions to check and see whether I'd be okay, considering there was no usual bleeding during the labor, just the placenta and the baby.

I heard them calling her and asking her to return. I had squeezed my eyes to the point of utter pain from the ‘freezing’ that had overtaken every single limb, which I was sensing in such detail during those minutes. All of a sudden, I could only think of God and felt an urge to go, to let go. Then slightly opening my eyes, the last thing I whispered to the nurse, while grabbing the cross hanging from her neck, which was lying on my chest, ‘Do you believe in God?’ She was engaged in saving me, but that second, she turned to me, removed the necklace and placed it inside my hand.

That's when I started floating. I barely glanced at the over packed surgery room, emergency bells were ringing for my doctor. I saw her looking at my body and talking to it as I was hovering above, happy, healthy, excited. Before I knew it, I was sucked like from if by a vacuum cleaner, into this wonderful pool of light. Even today, that pool is the most beautiful, most perfect thing I've ever experienced. For lack of a truly better word, I can't describe it as anything else but ‘thing.’ Yet, the one word I'd address to the entire experience/journey would be ‘REALITY’. THAT pool, THAT place, THAT event was the most REAL thing that's ever happened to me.

On that background, the life I'd been living on planet Earth was an insignificant second of an experiment, which I'd volunteered for. The ME; I wasn't Anna the lady who'd just given birth; but it was a light being: ‘LIGHT’ in every sense. I was made of the same light as the one with which the pool was filled. I sensed everything, felt everything beautiful as there can ever be. I thought and understood everything and was floating around inside the pool happily, ‘FINALLY back HOME!!’ ‘LIGHT’ as in lightness, no gravity, no strings attached. I was s-o-o-o happy that I wouldn't have to sleep, or eat anymore, no tiredness, no negativity, no anxieties whatsoever, and you float and float lightly, dancing and singing with no audiovisuals, you're just BEING, that's what you're for: TO BE!

I did have a brusque memory of my husband and children, of our house and friends and relatives. I absolutely KNEW (don't know how, but I sensed perfectly well that I simply KNEW) that they'll be perfectly well, whether I'm with them or not. Next, I was supported by light pool-waves that felt so gentle and caressing, like a mother's touch and a mother's love.

I floated onward into a space that was endless and was neither too bright, nor too dark. It was a place, though, without limits. Then I saw seven and some more sheds of lights/light beings moving towards me. We didn't have speech. We conversed, yet not a single vocal word was uttered. The very central being was my deceased mother-in-law who told me they'd be keeping me company, for I was to return in a while.

Her thought came into my being and I could feel and see things through her mind and sense exactly how she meant it. I ‘told’ her, ‘I would so love for you to be with us and play with your grandchildren’. She ‘answered’, ‘Don’t you worry at all! Before this child was born, we went together to all the gardens and lovely forests and we laughed, played, and sang together. Besides, now that I'm here I can protect you much stronger than if I was there, weak and ill.’

My aunt, father-in-law, and grandmothers were all there. Yet, the remaining ones weren't relatives I'd known from earth. They were light beings I've known before being born into the Earth. They guided me to a ‘library.’ I place this word inside quotation marks because it was a multidimensional composition: I cannot even call it a structure. Apparently, I had a ‘job’ up there and had left it ‘briefly’ when coming to Earth because I'd needed to experience certain things and learn certain things in order to be able to continue my work. There were stair-like features, which we could move by the will of our minds.

By the way, everything I'd learned: languages, subjects, nature observations, while being on Earth, were absolutely useful up there.

I had then floated onto my unfinished manuscript that looked like some form of tablet except it would only appear by my mind's command. It had data from way before, but since I already knew it, I didn't even look back. I simply stared at it. Out of where my forehead is placed now that I'm human again, appeared these strange characters/letters, round and perfect, a language I'd known seemingly eternally. By sheer thinking of these thoughts, these characters stamped themselves onto the manuscript. I cannot call these characters ‘language’ as we know it. One doesn't need to speak it or write it. It's simply a thought process. However, these thoughts I'd inserted into the manuscript had and served a great purpose, which as a Light Being I knew.

However, back in my human body, I don't have a clue, as if there was a veil administered upon my return.

There were many other light beings conducting similar work, and yet I knew that not every soul or light being is given such a task. Ours was a team destined to do this. Others were destined for other ‘work’. Time and space had no physicality, no validity. I'd call the whole thing as FREEDOM, the PERFECT FREEDOM, which every person, I know, aspires to, fights for, and dreams. The one thing I understood was that Aramaic and Armenian heritages hadn't happened to me just this one Earth lifetime, but several other times as well. It was as if I was in charge of moving this lineage of light beings. However, no notions of nationality, or races or gender, or political choices, or kings, or cultures held valid up there.

Everything was filled with love and knowledge. Then, I raised my head off the ‘library’ as if by someone's gentle calling of my name; someone was telling me ‘Anna, I need for you to go back’. That moment I felt a piercing, earth-like sadness. I found myself far from the pool and the library, but looking at the Planet earth from the space/cosmos. A light being had risen next to me pointing at the Planet and a voice asking me ‘Look there (the planet)! What do you see?’ I said, ‘I see Planet earth and I don't want to go back. This is my home, why are you sending me back there?’ He soothingly calmed me. It was all sensory, no touches, and no words.

Then he asked again, with such a divine voice, an actual, physical voice, ‘Look again. What do you see NOW?’ Suddenly, I saw what the voice saw, ‘I see our planet and there are no borders dividing countries. The borders are gone!!’ He said, ‘This is why you're going back. You have a mission.’ That's how I came back.

I had a very difficult time afterwards, trying to adjust. I was an avid reader before, but became even hungrier for knowledge, absorbing lots of information the entire time. I became more conscious of the environment, of clean air, clean water, world hunger, wars and poverty. I grew such levels of empathy that at times it's hard not to feel the pain of another human being. I kept talking to representatives of various religions and they hadn't much to say. The closest to explaining things I saw, perhaps, were most parts from the Vedas. [Editor’s Note: The Vedas are the primary texts of Hinduism.]

I've been having out of body experiences, very sudden, usually at night, more frequent and intense than ever before. I do have certain extrasensory moments; however, I avoid working on them, or rather do not wish to get too deep into them. I do, at times, get nostalgic trying to figure out what ‘the mission’ was. But overall, it was the best thing I've ever experienced in my life here on earth.
